## ETableItem

ETableItem

## Functions

void | e_table_item_set_cursor ()
gint | e_table_item_get_focused_column ()
void | e_table_item_leave_edit ()
void | e_table_item_enter_edit ()
void | e_table_item_redraw_range ()
EPrintable * | e_table_item_get_printable ()
void | e_table_item_compute_location ()
void | e_table_item_compute_mouse_over ()
void | e_table_item_get_cell_geometry ()
gint | e_table_item_row_diff ()
gboolean | e_table_item_is_editing ()
void | e_table_item_cursor_scrolled ()

## Properties

ETableHeader * | ETableHeader | Write
ETableModel * | ETableModel | Write
gboolean | alternating-row-colors | Write
gint | cursor-mode | Write
gint | cursor-row | Read / Write
gboolean | drawfocus | Write
gdouble | height | Read
gboolean | horizontal-draw-grid | Write
gboolean | is-editing | Read
gint | length-threshold | Write
gdouble | minimum-width | Read / Write
ESelectionModel * | selection-model | Write
gboolean | uniform-row-height | Read / Write
gboolean | vertical-draw-grid | Write
gdouble | width | Read / Write

## Signals

gboolean | click | Run Last
void | cursor-activated | Run Last
void | cursor-change | Run Last
void | double-click | Run Last
gboolean | key-press | Run Last
gboolean | right-click | Run Last
void | selection-model-added | Action
void | selection-model-removed | Action
gboolean | start-drag | Run Last
void | style-updated | Run Last

## Types and Values

struct | ETableItem

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GnomeCanvasItem
                ╰── ETableItem

## Description

## Functions

### e_table_item_set_cursor ()

    void
    e_table_item_set_cursor (ETableItem *eti,
                             gint col,
                             gint row);

This routine sets the cursor of the `ETableItem` canvas item.

#### Parameters

eti | `ETableItem` which will have the cursor set. |
col | Column to select. -1 means the last column. |
row | Row to select. -1 means the last row. |

### e_table_item_get_focused_column ()

    gint
    e_table_item_get_focused_column (ETableItem *eti);

This routine gets the cursor of the `ETableItem` canvas item.

#### Parameters

eti | `ETableItem` which will have the cursor retrieved. |

#### Returns

The current cursor column.

### e_table_item_leave_edit ()

    void
    e_table_item_leave_edit (ETableItem *eti);

### e_table_item_enter_edit ()

    void
    e_table_item_enter_edit (ETableItem *eti,
                             gint col,
                             gint row);

This routine starts the given `ETableItem` editing at the given view column and row.

#### Parameters

eti | `ETableItem` which will start being edited |
col | The view col to edit. |
row | The view row to edit. |

### e_table_item_redraw_range ()

    void
    e_table_item_redraw_range (ETableItem *eti,
                               gint start_col,
                               gint start_row,
                               gint end_col,
                               gint end_row);

This routine redraws the given `ETableItem` in the range given. The range is inclusive at both ends.

#### Parameters

eti | `ETableItem` which will be redrawn |
start_col | The first col to redraw. |
start_row | The first row to redraw. |
end_col | The last col to redraw. |
end_row | The last row to redraw. |

### e_table_item_get_printable ()

    EPrintable *
    e_table_item_get_printable (ETableItem *eti);

This routine creates and returns an `EPrintable` that can be used to print the given `ETableItem`.

#### Parameters

eti | `ETableItem` which will be printed |

#### Returns

The `EPrintable`.

### e_table_item_compute_location ()

    void
    e_table_item_compute_location (ETableItem *eti,
                                   gint *x,
                                   gint *y,
                                   gint *row,
                                   gint *col);

This routine locates the pixel location (*x, *y) in the `ETableItem`. If that location is in the `ETableItem`, *row and *col are set to the view row and column where it was found. If that location is not in the `ETableItem`, the height of the `ETableItem` is removed from the value y points to.

#### Parameters

eti | `ETableItem` to look in. |
x | A pointer to the x location to find in the `ETableItem`. |
y | A pointer to the y location to find in the `ETableItem`. |
row | A pointer to the location to store the found row in. |
col | A pointer to the location to store the found col in. |

### e_table_item_compute_mouse_over ()

    void
    e_table_item_compute_mouse_over (ETableItem *eti,
                                     gint x,
                                     gint y,
                                     gint *row,
                                     gint *col);

### e_table_item_get_cell_geometry ()

    void
    e_table_item_get_cell_geometry (ETableItem *eti,
                                    gint *row,
                                    gint *col,
                                    gint *x,
                                    gint *y,
                                    gint *width,
                                    gint *height);

### e_table_item_row_diff ()

    gint
    e_table_item_row_diff (ETableItem *eti,
                           gint start_row,
                           gint end_row);

### e_table_item_is_editing ()

    gboolean
    e_table_item_is_editing (ETableItem *eti);

#### Parameters

eti | an `ETableItem` |

#### Returns

Whether the table item is currently editing cell content.

### e_table_item_cursor_scrolled ()

    void
    e_table_item_cursor_scrolled (ETableItem *eti);

Does necessary recalculations after cursor scrolled, like whether the cursor is on screen or not anymore.

#### Parameters

eti | an `ETableItem` |

## Types and Values

### struct ETableItem

    struct ETableItem;

## Property Details

### The `“ETableHeader”` property

      “ETableHeader”             ETableHeader *

Table header.

Flags: Write

### The `“ETableModel”` property

      “ETableModel”              ETableModel *

Table model.

Flags: Write

### The `“alternating-row-colors”` property

      “alternating-row-colors”   gboolean

Alternating Row Colors.

Flags: Write

Default value: FALSE

### The `“cursor-mode”` property

      “cursor-mode”              gint

Cursor mode.

Flags: Write

Allowed values: [0,2]

Default value: 0

### The `“cursor-row”` property

      “cursor-row”               gint

Cursor row.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“drawfocus”` property

      “drawfocus”                gboolean

Draw focus.

Flags: Write

Default value: FALSE

### The `“height”` property

      “height”                   gdouble

Height.

Flags: Read

Allowed values: >= 0

Default value: 0

### The `“horizontal-draw-grid”` property

      “horizontal-draw-grid”     gboolean

Horizontal Draw Grid.

Flags: Write

Default value: FALSE

### The `“is-editing”` property

      “is-editing”               gboolean

Whether is in an editing mode.

Flags: Read

Default value: FALSE

### The `“length-threshold”` property

      “length-threshold”         gint

Length Threshold.

Flags: Write

Allowed values: >= -1

Default value: 0

### The `“minimum-width”` property

      “minimum-width”            gdouble

Minimum Width.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“selection-model”` property

      “selection-model”          ESelectionModel *

Selection model.

Flags: Write

### The `“uniform-row-height”` property

      “uniform-row-height”       gboolean

Uniform row height.

Flags: Read / Write

Default value: FALSE

### The `“vertical-draw-grid”` property

      “vertical-draw-grid”       gboolean

Vertical Draw Grid.

Flags: Write

Default value: FALSE

### The `“width”` property

      “width”                    gdouble

Width.

Flags: Read / Write

Allowed values: >= 0

Default value: 0

## Signal Details

### The `“click”` signal

    gboolean
    user_function (ETableItem *etableitem,
                   gint        arg1,
                   gint        arg2,
                   GdkEvent   *arg3,
                   gpointer    user_data)

Flags: Run Last

### The `“cursor-activated”` signal

    void
    user_function (ETableItem *etableitem,
                   gint        arg1,
                   gpointer    user_data)

Flags: Run Last

### The `“cursor-change”` signal

    void
    user_function (ETableItem *etableitem,
                   gint        arg1,
                   gpointer    user_data)

Flags: Run Last

### The `“double-click”` signal

    void
    user_function (ETableItem *etableitem,
                   gint        arg1,
                   gint        arg2,
                   GdkEvent   *arg3,
                   gpointer    user_data)

Flags: Run Last

### The `“key-press”` signal

    gboolean
    user_function (ETableItem *etableitem,
                   gint        arg1,
                   gint        arg2,
                   GdkEvent   *arg3,
                   gpointer    user_data)

Flags: Run Last

### The `“right-click”` signal

    gboolean
    user_function (ETableItem *etableitem,
                   gint        arg1,
                   gint        arg2,
                   GdkEvent   *arg3,
                   gpointer    user_data)

Flags: Run Last

### The `“selection-model-added”` signal

    void
    user_function (ETableItem *etableitem,
                   gpointer    arg1,
                   gpointer    user_data)

Flags: Action

### The `“selection-model-removed”` signal

    void
    user_function (ETableItem *etableitem,
                   gpointer    arg1,
                   gpointer    user_data)

Flags: Action

### The `“start-drag”` signal

    gboolean
    user_function (ETableItem *etableitem,
                   gint        arg1,
                   gint        arg2,
                   GdkEvent   *arg3,
                   gpointer    user_data)

Flags: Run Last

### The `“style-updated”` signal

    void
    user_function (ETableItem *etableitem,
                   gpointer    user_data)

Flags: Run Last